package hiro.yoshioka.sql.resource;

import java.util.Properties;

public interface INameFamily {
	String getName();

	String getComment();

	String getAlias();

	void setAlias(String alias);

	boolean hasAlias();

	void clearAlias();

	INameFamily getParent();
	
	void setParent(INameFamily parent);

	Properties getProperties();

	void setProperties(Properties p);

}
